Bug 1377464 - "pmrep proc" takes too long
Summary: "pmrep proc" takes too long
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcp
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-19 18:16 UTC by Frank Ch. Eigler
Modified: 2016-12-02 00:17 UTC (History)
8 users (show)

Fixed In Version: pcp-3.11.6-1.fc25 pcp-3.11.6-1.fc24 pcp-3.11.6-1.fc23 pcp-3.11.6-1.el5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-24 16:29:22 UTC
Type: Bug


Attachments (Terms of Use)

Description Frank Ch. Eigler 2016-09-19 18:16:29 UTC
Marko reports "pmrep proc" takes on the order of many seconds.  Diagnosis with the aid of a systemtap script (ltrace and $PCP_DEBUG not being helpful) indicated that the pmrep is using the extend_item rather than extend_indom API for the metrics beneath proc.*, one instance per call.

This means that each extend_item involves another bunch of lookups, repeated over processes (the indom), and over metrics (proc.*).

pmrep should routinely use the extend_indom API for metrics with indoms.  (It can use the same API for metrics with a null indom!).  It can find the instance domain in the output results coming from each fetch.

Comment 1 Nathan Scott 2016-09-28 07:48:14 UTC
Fixed upstream by commits 0429f633e7 and ede27b6961.

Comment 2 Fedora Update System 2016-11-16 05:12:07 UTC
pcp-3.11.6-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d0ad9e5194

Comment 3 Fedora Update System 2016-11-16 05:13:34 UTC
pcp-3.11.6-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-15f10c1698

Comment 4 Fedora Update System 2016-11-16 05:15:41 UTC
pcp-3.11.6-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a7626fa3f1

Comment 5 Fedora Update System 2016-11-16 05:16:35 UTC
pcp-3.11.6-1.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a7454a07e7

Comment 6 Fedora Update System 2016-11-16 20:25:25 UTC
pcp-3.11.6-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a7626fa3f1

Comment 7 Fedora Update System 2016-11-17 03:52:57 UTC
pcp-3.11.6-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-15f10c1698

Comment 8 Fedora Update System 2016-11-17 03:57:27 UTC
pcp-3.11.6-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d0ad9e5194

Comment 9 Fedora Update System 2016-11-17 12:17:38 UTC
pcp-3.11.6-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a7454a07e7

Comment 10 Fedora Update System 2016-11-24 16:29:22 UTC
pcp-3.11.6-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-11-24 20:28:48 UTC
pcp-3.11.6-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-11-25 07:22:59 UTC
pcp-3.11.6-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-12-02 00:17:41 UTC
pcp-3.11.6-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.